## minuet 25.08.2

=== data/exercises/CMakeLists.txt ===
set(minuet_EXERCISES
    intervals-ascending-melodic-exercises.json
    intervals-descending-melodic-exercises.json
    intervals-harmonic-exercises.json
    chords-three-notes-exercises.json
    chords-sevenths-exercises.json
    chords-extended-exercises.json
    chords-combined-exercises.json
    scales-major-and-its-modes-exercises.json
    scales-harmonic-minor-and-its-modes-exercises.json
    scales-harmonic-major-and-its-modes-exercises.json
    scales-pentatonic-major-and-its-modes-exercises.json
    scales-simmetric-exercises.json
    scales-bebop-exercises.json
    rhythm-easy.json
    rhythm-medium.json
)

install(FILES ${minuet_EXERCISES} DESTINATION ${KDE_INSTALL_DATADIR}/minuet/exercises)

=== debian/changelog ===
minuet (25.08.2-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 05:15:31 +0000

minuet (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:59:30 +0000

## minuet 25.08.2+p24.04+vstable+git20251015.0930

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(CMAKE_AUTOMOC ON)
if(${CMAKE_VERSION} VERSION_GREATER "3.10.0")
    cmake_policy(SET CMP0071 OLD)
endif()

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
set (MINUET_VERSION "0.4.0.${RELEASE_SERVICE_COMPACT_VERSION}")

project(minuet VERSION ${MINUET_VERSION})

set(QT_MIN_VERSION "6.6.2")
set(KF_MIN_VERSION "6.7.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${minuet_SOURCE_DIR}/cmake)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDEClangFormat)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(FeatureSummary)

ecm_setup_version(${MINUET_VERSION} VARIABLE_PREFIX MINUET
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/app/minuet_version.h"
)
find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    Qml
    Quick
    QuickControls2
    Svg
)

IF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons
        I18n
        Crash
        DocTools
    )
    find_package(FluidSynth 1.1.6 REQUIRED)
ENDIF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")

include_directories(${minuet_SOURCE_DIR}/src/ ${minuet_BINARY_DIR}/src/)

add_subdirectory(src)
add_subdirectory(data)
IF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")
    add_subdirectory(doc)
    ki18n_install(po)
    if (KF6DocTools_FOUND)
        kdoctools_install(po)
    endif()
    install(FILES org.kde.minuet.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ENDIF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
minuet (25.08.2+p24.04+vstable+git20251015.0930-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:31:09 +0000

## minuet 25.08.2+p24.04+vstable+git20251019.0322

=== debian/changelog ===
minuet (25.08.2+p24.04+vstable+git20251019.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:22:44 +0000

## minuet 25.08.2+p24.04+vstable+git20251031.0723

=== debian/changelog ===
minuet (25.08.2+p24.04+vstable+git20251031.0723-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:23:34 +0000

## minuet 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (MINUET_VERSION "0.4.0.${RELEASE_SERVICE_COMPACT_VERSION}")

=== debian/changelog ===
minuet (25.08.3-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 18:04:42 +0000

minuet (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:20 +1000

## minuet 25.08.3+p24.04+vunstable+git20251204.0151

=== debian/changelog ===
minuet (25.08.3+p24.04+vunstable+git20251204.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:51:34 +0000

## minuet 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (MINUET_VERSION "0.4.0.${RELEASE_SERVICE_COMPACT_VERSION}")

=== debian/changelog ===
minuet (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:57:46 +0000

minuet (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:20:24 +0000

minuet (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:58:07 +0100

minuet (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:26 +0100

minuet (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:34:55 +0100

## minuet 25.11.90

=== debian/changelog ===
minuet (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:17:36 +0000

## minuet 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (MINUET_VERSION "0.4.0.${RELEASE_SERVICE_COMPACT_VERSION}")

=== debian/changelog ===
minuet (25.12.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 14:56:14 +0000

minuet (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:41 +1000

## minuet 25.12.0+p24.04+vstable+git20251215.0202

=== debian/changelog ===
minuet (25.12.0+p24.04+vstable+git20251215.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 02:02:46 +0000

## minuet 25.12.0+p24.04+vunstable+git20251208.1952

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 endif()
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (MINUET_VERSION "0.4.0.${RELEASE_SERVICE_COMPACT_VERSION}")

=== debian/changelog ===
minuet (25.12.0+p24.04+vunstable+git20251208.1952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:52:39 +0000

## minuet 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 endif()
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (MINUET_VERSION "0.4.0.${RELEASE_SERVICE_COMPACT_VERSION}")

=== debian/changelog ===
minuet (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jan 2026 11:26:15 +0000

minuet (25.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 19 Jan 2026 18:53:45 +0100

minuet (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:18:19 +0000

minuet (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:37:41 +0000

=== debian/control ===
Source: minuet
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.5~),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libfluidsynth-dev (>= 1.1.6),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               pkgconf,
               pkg-kde-tools (>= 0.12),
               qt6-base-dev (>= 6.4.0~),
               qt6-declarative-dev (>= 6.4.0~),
               qt6-svg-dev (>= 6.4.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://minuet.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/minuet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/minuet

Package: minuet
Architecture: any
Depends: freepats,
         minuet-data (= ${source:Version}),
         timidity,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Software for Music Education
 Music education Free Software, thoughtfully designed to push your musical
 skills to the next level. Enhance your ability to recognize intervals, chords,
 rhythm, and scales while enjoying all the power of Free Software.

Package: minuet-data
Architecture: all
Depends: ${misc:Depends},
Description: data files for Minuet
 Music education Free Software, thoughtfully designed to push your musical
 skills to the next level. Enhance your ability to recognize intervals, chords,
 rhythm, and scales while enjoying all the power of Free Software.
 .
 This package contains the data files for Minuet.

## minuet 25.12.1+p24.04+vstable+git20260128.0259

=== debian/changelog ===
minuet (25.12.1+p24.04+vstable+git20260128.0259-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 02:59:17 +0000

minuet (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:28:56 +1000

## minuet 25.12.1+p24.04+vstable+git20260131.0206

=== debian/changelog ===
minuet (25.12.1+p24.04+vstable+git20260131.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:06:28 +0000

## minuet 25.12.1+p24.04+vstable+git20260204.0853

=== debian/changelog ===
minuet (25.12.1+p24.04+vstable+git20260204.0853-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:53:53 +0000

## minuet 25.12.1+p24.04+vunstable+git20260201.0607

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16)
 
 set(CMAKE_AUTOMOC ON)
 if(${CMAKE_VERSION} VERSION_GREATER "3.10.0")
@@ -6,9 +6,9 @@
 endif()
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (MINUET_VERSION "0.4.0.${RELEASE_SERVICE_COMPACT_VERSION}")
 
@@ -18,9 +18,10 @@
 set(KF_MIN_VERSION "6.7.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${minuet_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
+include(ECMFindQmlModule)
 include(ECMSetupVersion)
 include(ECMInstallIcons)
 include(ECMAddAppIcon)
@@ -43,13 +44,23 @@
 
 IF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+        Kirigami
         CoreAddons
         I18n
         Crash
         DocTools
     )
-    find_package(FluidSynth 1.1.6 REQUIRED)
+    find_package(PkgConfig REQUIRED)
+    pkg_check_modules(FLUIDSYNTH REQUIRED IMPORTED_TARGET "fluidsynth>=2.5.1")
+    ecm_find_qmlmodule(org.kde.kirigami REQUIRED)
 ENDIF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")
+
+IF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+        QQC2DesktopStyle
+    )
+    ecm_find_qmlmodule(org.kde.desktop REQUIRED)
+ENDIF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 include_directories(${minuet_SOURCE_DIR}/src/ ${minuet_BINARY_DIR}/src/)

=== src/plugins/CMakeLists.txt ===
if(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")
    if(FLUIDSYNTH_FOUND)
        add_subdirectory(fluidsynthsoundcontroller)
    endif()
else()
    add_subdirectory(csoundsoundcontroller)
endif()

=== src/plugins/fluidsynthsoundcontroller/CMakeLists.txt ===
set(fluidsynthsoundcontroller_PLUGIN_SRCS
    fluidsynthsoundcontroller.cpp
)

add_library(minuetfluidsynthsoundcontroller MODULE ${fluidsynthsoundcontroller_PLUGIN_SRCS})

target_link_libraries(minuetfluidsynthsoundcontroller
    Qt::Core
    Minuet::Interfaces
    Minuet::Utils
    PkgConfig::FLUIDSYNTH
)

IF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")
    install(TARGETS minuetfluidsynthsoundcontroller DESTINATION ${KDE_INSTALL_PLUGINDIR}/minuet/)
    install(FILES GeneralUser-v1.47.sf2 DESTINATION ${KDE_INSTALL_DATADIR}/minuet/soundfonts)
ENDIF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")

=== debian/changelog ===
minuet (25.12.1+p24.04+vunstable+git20260201.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:08:06 +0000

=== debian/control ===
Source: minuet
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kirigami-dev,
               libfluidsynth-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://minuet.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/minuet.git
Vcs-Browser: https://invent.kde.org/neon/kde/minuet
Maintainer: Neon CI <neon@kde.org>

Package: minuet
Architecture: any
Depends: freepats,
         minuet-data (= ${source:Version}),
         timidity,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Software for Music Education
 Music education Free Software, thoughtfully designed to push your musical
 skills to the next level. Enhance your ability to recognize intervals, chords,
 rhythm, and scales while enjoying all the power of Free Software.

Package: minuet-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for Minuet
 Music education Free Software, thoughtfully designed to push your musical
 skills to the next level. Enhance your ability to recognize intervals, chords,
 rhythm, and scales while enjoying all the power of Free Software.
 .
 This package contains the data files for Minuet.

Package: minuet-dev
Architecture: any
Depends: minuet, ${misc:Depends}, ${shlibs:Depends}
Description: development files for Minuet
 Music education Free Software, thoughtfully designed to push your musical
 skills to the next level. Enhance your ability to recognize intervals, chords,
 rhythm, and scales while enjoying all the power of Free Software.
 .
 This package contains the development files for Minuet.

## minuet 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 set(CMAKE_AUTOMOC ON)
 if(${CMAKE_VERSION} VERSION_GREATER "3.10.0")
@@ -6,9 +6,9 @@
 endif()
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (MINUET_VERSION "0.4.0.${RELEASE_SERVICE_COMPACT_VERSION}")
 
@@ -18,10 +18,9 @@
 set(KF_MIN_VERSION "6.7.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${minuet_SOURCE_DIR}/cmake)
 
 include(GenerateExportHeader)
-include(ECMFindQmlModule)
 include(ECMSetupVersion)
 include(ECMInstallIcons)
 include(ECMAddAppIcon)
@@ -44,23 +43,13 @@
 
 IF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
-        Kirigami
         CoreAddons
         I18n
         Crash
         DocTools
     )
-    find_package(PkgConfig REQUIRED)
-    pkg_check_modules(FLUIDSYNTH REQUIRED IMPORTED_TARGET "fluidsynth>=2.5.1")
-    ecm_find_qmlmodule(org.kde.kirigami REQUIRED)
+    find_package(FluidSynth 1.1.6 REQUIRED)
 ENDIF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Android")
-
-IF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
-        QQC2DesktopStyle
-    )
-    ecm_find_qmlmodule(org.kde.desktop REQUIRED)
-ENDIF(NOT ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 include_directories(${minuet_SOURCE_DIR}/src/ ${minuet_BINARY_DIR}/src/)

=== debian/changelog ===
minuet (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:32:04 +0000

=== debian/control ===
Source: minuet
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libfluidsynth-dev (>= 1.1.6),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               pkg-kde-tools (>= 0.12),
               pkgconf,
               qt6-base-dev (>= 6.4.0~),
               qt6-declarative-dev (>= 6.4.0~),
               qt6-svg-dev (>= 6.4.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://minuet.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/minuet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/minuet

Package: minuet
Architecture: any
Depends: freepats,
         minuet-data (= ${source:Version}),
         timidity,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Software for Music Education
 Music education Free Software, thoughtfully designed to push your musical
 skills to the next level. Enhance your ability to recognize intervals, chords,
 rhythm, and scales while enjoying all the power of Free Software.

Package: minuet-data
Architecture: all
Depends: ${misc:Depends},
Description: data files for Minuet
 Music education Free Software, thoughtfully designed to push your musical
 skills to the next level. Enhance your ability to recognize intervals, chords,
 rhythm, and scales while enjoying all the power of Free Software.
 .
 This package contains the data files for Minuet.
